Bug 1139795 - libzypp 17.12.0-1.2 deletes /etc/products.d/openSUSE.prod
libzypp 17.12.0-1.2 deletes /etc/products.d/openSUSE.prod
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: libzypp
Current
x86-64 openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
: Upgrade
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-30 00:40 UTC by Andre Ramnitz
Modified: 2020-01-09 07:39 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
zypper.log (6.61 MB, text/plain)
2019-07-01 18:45 UTC, Andre Ramnitz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Ramnitz 2019-06-30 00:40:56 UTC
Going from libzypp 17.12.0-1.1 to 17.12.0-1.2 deletes the file
/etc/products.d/openSUSE.prod, breaking the baseproduct softlink pointing to it.

Steps to reproduce:
upgrade libzypp to version 17.12.0-1.2

Actual results:
After the upgrade, various zypper commands result in a warning that '/etc/products.d/baseproduct link is missing or broken'.
File /etc/products.d/openSUSE.prod is missing.

Expected results:
/etc/products.d/openSUSE.prod NOT missing

Additional information:
Could roll-back the changes via snapper. Retrying the upgrade showed the same results. 
I did NOT check, if a simple reinstall of the old libzypp brings the file back.

$ ll /etc/products.d/
insgesamt 8
lrwxrwxrwx 1 root root   13 28. Jun 01:04 baseproduct -> openSUSE.prod
-rw-r--r-- 1 root root 2089 27. Jun 03:05 openSUSE.prod
Comment 1 Michael Andres 2019-07-01 10:17:56 UTC
Libzypp does not deal with this file. The file is owned by the openSUSE-release package. If it is missing after your update the release-package (and product:openSUSE) maybe got removed. Or the release package got damaged..

Could you please attach the zipper.log (after the update)
and the output of `rpm -V openSUSE-release'.


---
(Re)installing the openSUSE-release package should bring back the file.
Comment 2 Andre Ramnitz 2019-07-01 18:45:34 UTC
Created attachment 809062 [details]
zypper.log

$ rpm -V openSUSE-release
..5....T.  c /etc/issue.net
missing     /etc/products.d/openSUSE.prod
Comment 3 Michael Andres 2019-07-02 09:58:44 UTC
Thanks a lot.

I stand corrected, libzypp deals with the file. It looks like the installed product:openSUSE-20190626 was slightly broken (no link to it's release package). Updating it wrongly triggers an attempt to repair it (which actually messes it up). AFAICS it happens only if you update FROM an installed 'product:openSUSE-20190626'.


Reinstalling openSUSE-release (zypper in -f openSUSE-release) if the '/etc/products.d/baseproduct link is missing or broken' warnings occur should fix it.
Comment 4 Michael Andres 2019-07-02 14:51:39 UTC
https://github.com/openSUSE/libzypp/pull/175
Comment 5 Michael Andres 2019-07-02 15:21:21 UTC
Fixed in libzypp-17.12.1
Comment 8 Swamp Workflow Management 2019-10-11 19:14:55 UTC
SUSE-RU-2019:2632-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1049825,1116995,1139795,1140039,1145521,1146027
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    libsolv-0.7.6-3.15.7, libzypp-17.14.1-3.28.2, zypper-1.14.30-3.23.12
SUSE Linux Enterprise Module for Development Tools 15 (src):    libsolv-0.7.6-3.15.7
SUSE Linux Enterprise Module for Basesystem 15 (src):    libsolv-0.7.6-3.15.7, libzypp-17.14.1-3.28.2, zypper-1.14.30-3.23.12
SUSE Linux Enterprise Installer 15 (src):    libsolv-0.7.6-3.15.7, libzypp-17.14.1-3.28.2, zypper-1.14.30-3.23.12

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2019-10-17 16:12:52 UTC
openSUSE-RU-2019:2337-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1049825,1116995,1139795,1140039,1145521,1146027
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    libsolv-0.7.6-lp150.10.1, libzypp-17.14.1-lp150.2.16.1, zstd-1.4.2-lp150.2.5.1, zypper-1.14.30-lp150.2.16.1
Comment 12 Swamp Workflow Management 2019-10-22 16:57:37 UTC
SUSE-RU-2019:2742-1: An update that solves three vulnerabilities and has 18 fixes is now available.

Category: recommended (important)
Bug References: 1049825,1116995,1120629,1120630,1120631,1127155,1127608,1130306,1131113,1131823,1134226,1135749,1137977,1139795,1140039,1145521,1146027,1146415,1146947,1153557,859480
CVE References: CVE-2018-20532,CVE-2018-20533,CVE-2018-20534
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    PackageKit-1.1.10-12.3.5
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1 (src):    libsolv-0.7.6-3.7.2
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    PackageKit-1.1.10-12.3.5, libsolv-0.7.6-3.7.2, libzypp-17.15.0-3.9.1, yast2-pkg-bindings-devel-doc-4.1.2-3.3.5, zypper-1.14.30-3.7.2
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    libsolv-0.7.6-3.7.2
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    PackageKit-1.1.10-12.3.5, libyui-qt-pkg-2.45.27-3.3.5
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    libsolv-0.7.6-3.7.2, libyui-ncurses-pkg-2.48.9-7.3.5, libyui-ncurses-pkg-doc-2.48.9-7.3.3, libyui-qt-pkg-2.45.27-3.3.5, libyui-qt-pkg-doc-2.45.27-3.3.3, libzypp-17.15.0-3.9.1, yast2-pkg-bindings-4.1.2-3.3.5, zypper-1.14.30-3.7.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2019-10-27 23:25:51 UTC
openSUSE-RU-2019:2391-1: An update that solves three vulnerabilities and has 18 fixes is now available.

Category: recommended (important)
Bug References: 1049825,1116995,1120629,1120630,1120631,1127155,1127608,1130306,1131113,1131823,1134226,1135749,1137977,1139795,1140039,1145521,1146027,1146415,1146947,1153557,859480
CVE References: CVE-2018-20532,CVE-2018-20533,CVE-2018-20534
Sources used:
openSUSE Leap 15.1 (src):    PackageKit-1.1.10-lp151.8.6.1, libsolv-0.7.6-lp151.2.3.2, libyui-ncurses-pkg-2.48.9-lp151.2.3.1, libyui-ncurses-pkg-doc-2.48.9-lp151.2.3.1, libyui-qt-pkg-2.45.27-lp151.2.3.1, libyui-qt-pkg-doc-2.45.27-lp151.2.3.1, libzypp-17.15.0-lp151.2.3.2, yast2-pkg-bindings-4.1.2-lp151.2.3.1, yast2-pkg-bindings-devel-doc-4.1.2-lp151.2.3.1, zypper-1.14.30-lp151.2.3.1